/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.app;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--新增资源--数据传输对象：应用表
*
* createdate:  2022-10-13 10:02:44  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "应用表")
public class AppAddDto implements Serializable
{
    /**
     * ID<br>
     */
    @ApiModelProperty("ID")
    @Size(max = 32, message="ID-id: 数据长度不能 > 32" )
    private String id;//ID
    /**
     * 应用名称<br>
     */
    @ApiModelProperty("应用大小")
    @Size(max = 32, message="应用大小-appSize: 数据长度不能 > 32" )
    private String appSize;//应用名称
    /**
     * 应用名称<br>
     */
    @ApiModelProperty("应用名称")
    @Size(max = 32, message="应用名称-appName: 数据长度不能 > 32" )
    private String appName;//应用名称
    /**
     * 包名称<br>
     */
    @ApiModelProperty("包名称")
    private String packageName;//包名
    /**
     * 构建版本<br>
     */
    @ApiModelProperty("构建版本")
    @Size(max = 32, message="构建版本-buildVersion: 数据长度不能 > 32" )
    private String buildVersion;//构建版本
    /**
     * 平台类型<br>
     */
    @ApiModelProperty("平台类型")
    @Size(max = 32, message="平台类型-platform: 数据长度不能 > 32" )
    private String platform;//平台类型
    /**
     * 脚本文件地址<br>
     */
    @ApiModelProperty("脚本文件地址")
    @Size(max = 4096, message="脚本文件地址-appUrl: 数据长度不能 > 4096" )
    private String appUrl;//脚本文件地址
    /**
     * 版本说明<br>
     */
    @ApiModelProperty("版本说明")
    @Size(max = 1024, message="版本说明-versionMark: 数据长度不能 > 1024" )
    private String versionMark;//版本说明
    /**
     * 设备归属对象ID<br>
     */
    @ApiModelProperty("设备归属对象ID")
    @Size(max = 50, message="设备归属对象ID-ownerId: 数据长度不能 > 50" )
    private String ownerId;//设备归属对象ID
    /**
     * 租户ID<br>
     */
    @ApiModelProperty("租户ID")
    @Size(max = 32, message="租户ID-tenantId: 数据长度不能 > 32" )
    private String tenantId;//租户ID
    /**
     * app图标<br>
     */
    @ApiModelProperty("app图标")
    private byte[] appIcon;//app图标
    /**
     * 备注<br>
     */
    @ApiModelProperty("备注")
    @Size(max = 128, message="备注-remarks: 数据长度不能 > 128" )
    private String remarks;//备注

    /**
     * 版本号<br>
     */
    @ApiModelProperty(" 版本号")
    private Integer versionCode;//版本号


    /**
     * activity<br>
     */
    @ApiModelProperty(" activity")
    @Size(max = 256, message="ACTIVITY-activity: 数据长度不能 > 256" )
    private String activity;//activity

    /**
     * 上传人<br>
     */
    @ApiModelProperty("上传人")
    @Size(max = 32, message="上传人-createdBy: 数据长度不能 > 32" )
    private String createdBy;//上传人id
    /**
     * 上传时间<br>
     */
    @ApiModelProperty("上传时间")
    private Date createdTime;//上传时间
    /**
     * 更新人<br>
     */
    @ApiModelProperty("更新人")
    @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
    private String updatedBy;//更新人
    /**
     * 更新时间<br>
     */
    @ApiModelProperty("更新时间")
    private Date updatedTime;//更新时间
    /**
     * 文件上传时间戳<br>
     */
    @ApiModelProperty("文件上传时间戳")
    private String timestamp;//文件上传时间戳

    /**
     * 原应用平台类型<br>
     */
    @ApiModelProperty("原应用平台类型")
    private String oldPlatform;//原应用平台类型
    /**
     * 原应用包名<br>
     */
    @ApiModelProperty("原应用包名")
    private String oldPackageName;//原应用包名

    public String getOldPlatform() {
        return oldPlatform;
    }

    public void setOldPlatform(String oldPlatform) {
        this.oldPlatform = oldPlatform;
    }

    public String getOldPackageName() {
        return oldPackageName;
    }

    public void setOldPackageName(String oldPackageName) {
        this.oldPackageName = oldPackageName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAppSize() {
        return appSize;
    }

    public void setAppSize(String appSize) {
        this.appSize = appSize;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getBuildVersion() {
        return buildVersion;
    }

    public void setBuildVersion(String buildVersion) {
        this.buildVersion = buildVersion;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getAppUrl() {
        return appUrl;
    }

    public void setAppUrl(String appUrl) {
        this.appUrl = appUrl;
    }

    public String getVersionMark() {
        return versionMark;
    }

    public void setVersionMark(String versionMark) {
        this.versionMark = versionMark;
    }

    public String getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public byte[] getAppIcon() {
        return appIcon;
    }

    public void setAppIcon(byte[] appIcon) {
        this.appIcon = appIcon;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(Integer versionCode) {
        this.versionCode = versionCode;
    }

    public String getActivity() {
        return activity;
    }

    public void setActivity(String activity) {
        this.activity = activity;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }
}